<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreFormDataRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'first_name' => 'required|string|max:255',
            'middle_name' => 'nullable|string|max:255',
            'last_name' => 'required|string|max:255',
            'fourth_name' => 'nullable|string|max:255',
            
            'number_type' => 'required|string|in:شخصية,جواز السفر',
            'personality' => 'nullable|numeric',
            'passport' => 'nullable|numeric',
            
            // 'mobile_number' => 'nullable|string|regex:/^\+?[0-9]{10,15}$/',
            'mobile_number' => 'nullable|string|max:10',
            'phone_number' => 'nullable|string|max:10',
            'whatsup_number' => 'nullable|string|max:10',
            
            'region' => 'required|string|max:255',
            
            'neighborhood' => 'required|string|max:255',
            'unit_number' => 'nullable|string|max:255',
            'reference_point' => 'nullable|string|max:255',

            'housing_status' => 'required|string|in:ملك,ايجار',
            'monthly_rent' => 'nullable|numeric',

            'residence_type' => 'required|string|in:بيت مستقل,شقة,غرف/ة في بيت عيلة,منزل صاحب العمل,بيت شعبي/صندقة,غير ذلك',

            'occupation' => 'required|string|in:حكومي,خاص,متعاقد,بالأجر-اليومي,غير ذلك',
            
            'monthly_income' => 'required|numeric',

            'marital_status' => 'required|string|in:متزوج/ة,ارمل/ة,مطلق/ة,عازب/ة',
            'widowed_name' => 'nullable|string', 

            'family_members' => 'nullable|integer',
            'males' => 'nullable|integer',
            'females' => 'nullable|integer',

            'children_below_2' => 'nullable|integer',
            'children_from_2_6' => 'nullable|integer',
            'children_primary' => 'nullable|integer',
            'children_secondary' => 'nullable|integer',
            'children_high_school' => 'nullable|integer',
            'children_university' => 'nullable|integer',
            'other' => 'nullable|string',
            
            'health_conditions' => 'nullable|string|in:جيدة,مريض ضغط,مريض سكر,مريض القلب,معاق,غير ذلك',

            'notes' => 'nullable|string',
            'attachments' => 'nullable|string',

            'The_wise_man_heat' => 'nullable|string|max:255', // Add validation for new fields
            'number_mobile_wise' => 'nullable|string|max:10',
        ];
    }
}
