<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormData extends Model
{
    
    use HasFactory;

    protected $table = 'form_data';

    protected $fillable = [
        'first_name', // الاسم الأول
        'middle_name', // اسم الأب
        'last_name', // اسم الجد
        'fourth_name', // الاسم الرابع
        
        'number_type', //نوع الهوية 

        'personality', // شخصية
        'passport', // الجواز

        'mobile_number', // رقم الجوال
        'phone_number', // رقم الهاتف
        'whatsup_number', //رقم الوتس اب


        'region', // المنطقة
        'neighborhood', // الحي
        'unit_number', // الوحدة
        'reference_point', // أقرب معلم

        'housing_status', // حالة السكن
        'monthly_rent', // إيجار السكن الشهري

        'residence_type', // نوع السكن
        
        'occupation', // المهنة

        'monthly_income', // الدخل الشهري

        'marital_status', // الحالة الاجتماعية
        'widowed_name', // Add this line

        'family_members', // عدد أفراد الأسرة
        'males', // اناث
        'females', // ذكور

        'children_below_2',// عدد الأبناء اقل من 2
        'children_from_2_6', // عدد الأبناء من2 الى 6 سنوات
        'children_primary', // عدد الأبناء في المرحلة الابتدائية من صف (1-3)
        'children_secondary', // عدد الأبناء في المرحلة المتوسطة من صف (4-9)
        'children_high_school', // عدد الأبناء في المرحلة الثانوية من صف (1-3)
        'children_university', // عدد الأبناء في المرحلة الجامعة
        'other', // غير ذلك

        'health_conditions', // الحالة الصحية

        'notes', // ملاحظات
        'attachments',
        'user_id',
        'The_wise_man_heat',
        'number_mobile_wise' 
    ];

    // Define the relationship
    public function user()
    {
        return $this->belongsTo(User::class);  // Ensure this matches the foreign key 'user_id'
    }
    
}
