<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('form_data', function (Blueprint $table) {
            $table->id();
            $table->string('first_name')->comment('الاسم الأول');
            $table->string('middle_name')->nullable()->comment('اسم الأب');
            $table->string('last_name')->comment('اسم الجد');
            $table->string('fourth_name')->nullable()->comment('الاسم الرابع');
            
            $table->string('number_type')->comment('نوع الهوية');

            $table->string('personality')->nullable()->comment('رقم بطاقة الشخصية');
            $table->string('passport')->nullable()->comment('رقم الجواز');
            
            $table->string('mobile_number')->nullable()->comment('رقم الجوال');
            $table->string('phone_number')->nullable()->comment('رقم الهاتف');
            $table->string('whatsup_number')->nullable()->comment('رقم الوتس اب');
           
            $table->string('region')->comment('المنطقة');
           
            $table->string('neighborhood')->comment('الحي');
            $table->string('unit_number')->nullable()->comment('الوحدة');
            $table->string('reference_point')->nullable()->comment('أقرب معلم');

            $table->string('housing_status')->comment('حالة السكن');
            $table->decimal('monthly_rent', 10, 2)->nullable()->comment('إيجار السكن الشهري');

            $table->string('residence_type')->comment('نوع السكن');

            $table->string('occupation')->comment('المهنة');

            $table->decimal('monthly_income', 10, 2)->comment('الدخل الشهري');

            $table->string('marital_status')->comment('الحالة الاجتماعية');


            $table->integer('family_members')->comment('عدد أفراد الأسرة');
            $table->integer('males')->nullable()->comment('ذكور');
            $table->integer('females')->nullable()->comment('اناث');


            $table->integer('children_below_2')->default(0)->nullable()->comment('عدد الأبناء أقل من سنتين');
            $table->integer('children_from_2_6')->default(0)->nullable()->comment('عدد الأبناء من 2 الى 6 سنوات');
            $table->integer('children_primary')->default(0)->nullable()->comment('عدد الأبناء في المرحلة الابتدائية من صف (1-3)');
            $table->integer('children_secondary')->default(0)->nullable()->comment('عدد الأبناء في المرحلة المتوسطة من صف (4-9)');
            $table->integer('children_high_school')->default(0)->nullable()->comment('عدد الأبناء في المرحلة الثانوية من صف (1-3)');
            $table->integer('children_university')->default(0)->nullable()->comment('عدد الأبناء في المرحلة الجامعة');
            $table->text('other')->nullable()->comment('غير ذلك');

            $table->text('health_conditions')->nullable()->comment('الحالة الصحية');

            $table->text('notes')->nullable()->comment('ملاحظات');
            $table->text('attachments')->nullable()->comment('المرفقات');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('form_data');
    }
};
