@extends('layouts.app')

@section('title', 'Dashboard Admin')

@section('content')
<div class="page-wrapper"style="display: unset;top: 40px; left: 22px; !important;">
<div class="container-fluid">
    <div class="row justify-content-start">
        <div class="col-lg-10">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="card border-right" style="height: 150px;">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h2 class="text-dark mb-1 font-weight-medium">{{ $totalFamily }}</h2>
                                    <h6 class="text-muted font-weight-normal mb-0 w-100 text-truncate">
                                        إجمالي عدد الأسر
                                    </h6>
                                </div>
                                <div class="ms-auto">
                                    <span class="opacity-7 text-muted"><i data-feather="users"></i></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="card border-right" style="height: 150px;">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h2 class="text-dark mb-1 font-weight-medium">{{ $totalSum }}</h2>
                                    <h6 class="text-muted font-weight-normal mb-0 w-100 text-truncate">
                                        إجمالي عدد الأفراد الأسر
                                
                                    </h6>
                                </div>
                                <div class="ms-auto">
                                    <span class="opacity-7 text-muted"><i data-feather="users"></i></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
               
            </div>

            <!-- Charts -->
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="card border-right">
                        <div class="card-body">
                        <h4 class="card-title text-end">الحالة الصحية</h4>

                        <canvas id="healthConditionsChart"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="card border-right"style="height: 368px;">
                        <div class="card-body">
                            <h4 class="card-title text-end" >الدخل الشهري</h4>
                            <canvas id="monthlyIncomeChart"></canvas>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="card border-right">
                        <div class="card-body">
                            <h4 class="card-title text-end">الحالة الاجتماعية</h4>
                            <canvas id="maritalStatusChart"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<!-- Chart.js -->
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<script>
    // Health Conditions Chart
    var healthConditionsCtx = document.getElementById('healthConditionsChart').getContext('2d');
    var healthConditionsChart = new Chart(healthConditionsCtx, {
        type: 'pie',
        data: {
            labels: @json($healthConditions->keys()),
            datasets: [{
                label: 'الحالة الصحية',
                data: @json($healthConditions->values()),
                backgroundColor: ['#FF6384', '#36A2EB', '#FFCE56', '#4CAF50', '#FF9800']
            }]
        }
    });

    // Monthly Income Chart
    var monthlyIncomeCtx = document.getElementById('monthlyIncomeChart').getContext('2d');
    var monthlyIncomeChart = new Chart(monthlyIncomeCtx, {
        type: 'bar',
        data: {
            labels: @json($monthlyIncome->keys()),
            datasets: [{
                label: 'الدخل الشهري',
                data: @json($monthlyIncome->values()),
                backgroundColor: '#42A5F5'
            }]
        }
    });

    // Marital Status Chart
    var maritalStatusCtx = document.getElementById('maritalStatusChart').getContext('2d');
    var maritalStatusChart = new Chart(maritalStatusCtx, {
        type: 'doughnut',
        data: {
            labels: @json($maritalStatus->keys()),
            datasets: [{
                label: 'الحالة الاجتماعية',
                data: @json($maritalStatus->values()),
                backgroundColor: ['#FF5733', '#33FF57', '#3357FF', '#FF33A2']
            }]
        }
    });
</script>

@endsection
