@extends('layouts.app')

@section('title', 'Form Data List')

@section('content')
<div class="page-wrapper">
    <div class="container-fluid" id="top-tabl">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="d-flex justify-content-between mb-3">
                            <h4 class="card-title">قائمة بيانات النموذج</h4>
                            {{-- <button class="btn btn-success" onclick="printSelectedFields()">طباعة التقارير</button> --}}
                            <button class="btn btn-success" data-toggle="modal" data-target="#fieldSelectionModal">Select Fields</button>
                        </div>

                        <!-- Filter Form -->
                        <form method="GET" action="{{ route('form_data.index') }}" class="mb-4">
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <input type="text" name="monthly_income" class="form-control" placeholder="ادخل الدخل الشهري" value="{{ request('monthly_income') }}">
                                </div>
                                <div class="col-md-6">
                                    <input type="text" name="region" class="form-control" placeholder="ادخل المنطقة" value="{{ request('region') }}">
                                </div>
                            </div>

                            <!-- Second row with the second set of fields -->
                            <div class="row mb-3">
                                <div class="col-md-4">
                                    <input type="number" name="children_below_2" class="form-control" placeholder="عدد الأبناء أقل من 2" value="{{ request('children_below_2') }}">
                                </div>
                                <div class="col-md-4">
                                    <input type="number" name="children_from_2_6" class="form-control" placeholder="عدد الأبناء من 2 إلى 6 سنوات" value="{{ request('children_from_2_6') }}">
                                </div>
                                <div class="col-md-4">
                                    <input type="number" name="children_primary" class="form-control" placeholder="عدد الأبناء في الابتدائية" value="{{ request('children_primary') }}">
                                </div>
                            </div>

                            <!-- Third row with the third set of fields -->
                            <div class="row mb-3">
                                <div class="col-md-4">
                                    <input type="number" name="children_secondary" class="form-control" placeholder="عدد الأبناء في المتوسطة" value="{{ request('children_secondary') }}">
                                </div>
                                <div class="col-md-4">
                                    <input type="number" name="children_high_school" class="form-control" placeholder="عدد الأبناء في الثانوية" value="{{ request('children_high_school') }}">
                                </div>
                                <div class="col-md-4">
                                    <input type="number" name="children_university" class="form-control" placeholder="عدد الأبناء في الجامعة" value="{{ request('children_university') }}">
                                </div>
                            </div>

                            <!-- Fourth row with health condition and buttons -->
                            <div class="row mb-3">
                                <div class="col-md-6">
                                    <select name="health_conditions" class="form-control">
                                        <option value="" disabled selected>اختر الحالة الصحية</option>
                                        <option value="جيدة" {{ request('health_conditions') == 'جيدة' ? 'selected' : '' }}>جيدة</option>
                                        <option value="مريض ضغط" {{ request('health_conditions') == 'مريض ضغط' ? 'selected' : '' }}>مريض ضغط</option>
                                        <option value="مريض سكر" {{ request('health_conditions') == 'مريض سكر' ? 'selected' : '' }}>مريض سكر</option>
                                        <option value="مريض القلب" {{ request('health_conditions') == 'مريض القلب' ? 'selected' : '' }}>مريض القلب</option>
                                        <option value="معاق" {{ request('health_conditions') == 'معاق' ? 'selected' : '' }}>معاق</option>
                                    </select>
                                </div>
                                <div class="col-md-6 d-flex gap-2">
                                    <button type="submit" class="btn btn-primary">بحث</button>
                                    <a href="{{ route('form_data.index') }}" class="btn btn-secondary">مسح حقول الادخال</a>
                                    <a href="{{ route('form_data.create') }}" class="btn btn-primary">انشاء جديد</a>
                                </div>
                            </div>
                        </form>

                        <!-- Table -->
                        <div class="table-responsive">
                            <table id="printTable" class="table table-striped table-bordered no-wrap">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>الاسم الأول</th>
                                        <th>الاسم الأوسط</th>
                                        <th>الاسم الثالث</th>
                                        <th>الاسم الرابع</th>
                                        <th>نوع الهوية</th>
                                        <th>رقم الهوية</th>
                                        <th>رقم الجواز</th>
                                        <th>رقم الجوال</th>
                                        <th>رقم الهاتف</th>
                                        <th>رقم الوتس اب</th>
                                        <th>المنطقة</th>
                                        <th>الحي</th>
                                        <th>رقم الوحدة</th>
                                        <th>اقرب معلم للبيت</th>
                                        <th>حالة السكن</th>
                                        <th>قيمة الايجار الشهري</th>
                                        <th>نوع السكن</th>
                                        <th>الوظيفة</th>
                                        <th>الدخل الشهري</th>
                                        <th>الحالة الاجتماعية</th>
                                        <th>اسم الزوج/الزوجة المتوفى/ة</th>
                                        <th>عدد أفراد الأسرة</th>
                                        <th>ذكور</th>
                                        <th>إناث</th>
                                        <th>عدد الأبناء أقل من سنتين</th>
                                        <th>عدد الأبناء من 2 الى 6 سنوات</th>
                                        <th>عدد الأبناء في المرحلة الابتدائية</th>
                                        <th>عدد الأبناء في المرحلة المتوسطة</th>
                                        <th>عدد الأبناء في المرحلة الثانوية</th>
                                        <th>عدد الأبناء في المرحلة الجامعية</th>
                                        <th>غير ذلك</th>
                                        <th>الحالات الصحية</th>
                                        <th>ملاحظات</th>
                                        <th>نوع المهارة المستعد التدريب عليها</th>
                                        <th>الاسم عاقل الحارة</th>
                                        <th>رقم جوال عاقل الحارة</th>
                                        <th>منشىء او ناشىء هذا الأسرة</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($formDatas as $formData)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $formData->first_name }}</td>
                                            <td>{{ $formData->middle_name }}</td>
                                            <td>{{ $formData->last_name }}</td>
                                            <td>{{ $formData->fourth_name }}</td>
                                            <td>{{ $formData->number_type }}</td>
                                            <td>{{ $formData->personality }}</td>
                                            <td>{{ $formData->passport }}</td>
                                            <td>{{ $formData->mobile_number }}</td>
                                            <td>{{ $formData->phone_number }}</td>
                                            <td>{{ $formData->whatsup_number }}</td>
                                            <td>{{ $formData->region }}</td>
                                            <td>{{ $formData->neighborhood }}</td>
                                            <td>{{ $formData->unit_number }}</td>
                                            <td>{{ $formData->reference_point }}</td>
                                            <td>{{ $formData->housing_status }}</td>
                                            <td>{{ $formData->monthly_rent }}</td>
                                            <td>{{ $formData->residence_type }}</td>
                                            <td>{{ $formData->occupation }}</td>
                                            <td>{{ number_format($formData->monthly_income, 2) }}</td>
                                            <td>{{ $formData->marital_status }}</td>
                                            <td>
                                                @if($formData->marital_status === 'ارمل/ة')
                                                    {{ $formData->widowed_name }}
                                                @else
                                                    ------------
                                                @endif
                                            </td>
                                            <td>{{ $formData->family_members }}</td>
                                            <td>{{ $formData->males }}</td>
                                            <td>{{ $formData->females }}</td>
                                            <td>{{ $formData->children_below_2 }}</td>
                                            <td>{{ $formData->children_from_2_6 }}</td>
                                            <td>{{ $formData->children_primary }}</td>
                                            <td>{{ $formData->children_secondary }}</td>
                                            <td>{{ $formData->children_high_school }}</td>
                                            <td>{{ $formData->children_university }}</td>
                                            <td>{{ $formData->other }}</td>
                                            <td>{{ $formData->health_conditions }}</td>
                                            <td>{{ $formData->notes }}</td>
                                            <td>{{ $formData->attachments }}</td>
                                            <td>{{ $formData->The_wise_man_heat }}</td>
                                            <td>{{ $formData->number_mobile_wise }}</td>
                                            <td>{{ $formData->user->name ?? 'No User' }}</td>
                                            <td>
                                                <a href="{{ route('form_data.show', $formData->id) }}" class="btn btn-info btn-sm">View</a>
                                                <a href="{{ route('form_data.edit', $formData->id) }}" class="btn btn-warning btn-sm">Edit</a>
                                                <form action="{{ route('form_data.destroy', $formData->id) }}" method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure?')">Delete</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td colspan="38" class="text-center">No data available.</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                            <br/>
                            <!-- Pagination -->
                            <div class="d-flex justify-content-center">
                                {{ $formDatas->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="fieldSelectionModal" tabindex="-1" role="dialog" aria-labelledby="fieldSelectionModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="fieldSelectionModalLabel">Select Fields to Display</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form id="fieldSelectionForm">
                        <!-- List all fields with checkboxes -->
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="first_name" id="first_name" checked>
                            <label class="form-check-label" for="first_name">الاسم الأول</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="middle_name" id="middle_name" checked>
                            <label class="form-check-label" for="middle_name">الاسم الأوسط</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="last_name" id="last_name" checked>
                            <label class="form-check-label" for="last_name">الاسم الثالث</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="fourth_name" id="fourth_name" checked>
                            <label class="form-check-label" for="fourth_name">الاسم الرابع</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="number_type" id="number_type" checked>
                            <label class="form-check-label" for="number_type">نوع الهوية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="personality" id="personality" checked>
                            <label class="form-check-label" for="personality">رقم الهوية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="passport" id="passport" checked>
                            <label class="form-check-label" for="passport">رقم الجواز</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="mobile_number" id="mobile_number" checked>
                            <label class="form-check-label" for="mobile_number">رقم الجوال</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="phone_number" id="phone_number" checked>
                            <label class="form-check-label" for="phone_number">رقم الهاتف</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="whatsup_number" id="whatsup_number" checked>
                            <label class="form-check-label" for="whatsup_number">رقم الوتس اب</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="region" id="region" checked>
                            <label class="form-check-label" for="region">المنطقة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="neighborhood" id="neighborhood" checked>
                            <label class="form-check-label" for="neighborhood">الحي</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="unit_number" id="unit_number" checked>
                            <label class="form-check-label" for="unit_number">رقم الوحدة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="reference_point" id="reference_point" checked>
                            <label class="form-check-label" for="reference_point">اقرب معلم للبيت</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="housing_status" id="housing_status" checked>
                            <label class="form-check-label" for="housing_status">حالة السكن</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="monthly_rent" id="monthly_rent" checked>
                            <label class="form-check-label" for="monthly_rent">قيمة الايجار الشهري</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="residence_type" id="residence_type" checked>
                            <label class="form-check-label" for="residence_type">نوع السكن</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="occupation" id="occupation" checked>
                            <label class="form-check-label" for="occupation">الوظيفة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="monthly_income" id="monthly_income" checked>
                            <label class="form-check-label" for="monthly_income">الدخل الشهري</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="marital_status" id="marital_status" checked>
                            <label class="form-check-label" for="marital_status">الحالة الاجتماعية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="widowed_name" id="widowed_name" checked>
                            <label class="form-check-label" for="widowed_name">اسم الزوج/الزوجة المتوفى/ة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="family_members" id="family_members" checked>
                            <label class="form-check-label" for="family_members">عدد أفراد الأسرة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="males" id="males" checked>
                            <label class="form-check-label" for="males">ذكور</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="females" id="females" checked>
                            <label class="form-check-label" for="females">إناث</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_below_2" id="children_below_2" checked>
                            <label class="form-check-label" for="children_below_2">عدد الأبناء أقل من سنتين</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_from_2_6" id="children_from_2_6" checked>
                            <label class="form-check-label" for="children_from_2_6">عدد الأبناء من 2 الى 6 سنوات</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_primary" id="children_primary" checked>
                            <label class="form-check-label" for="children_primary">عدد الأبناء في المرحلة الابتدائية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_secondary" id="children_secondary" checked>
                            <label class="form-check-label" for="children_secondary">عدد الأبناء في المرحلة المتوسطة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_high_school" id="children_high_school" checked>
                            <label class="form-check-label" for="children_high_school">عدد الأبناء في المرحلة الثانوية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="children_university" id="children_university" checked>
                            <label class="form-check-label" for="children_university">عدد الأبناء في المرحلة الجامعية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="other" id="other" checked>
                            <label class="form-check-label" for="other">غير ذلك</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="health_conditions" id="health_conditions" checked>
                            <label class="form-check-label" for="health_conditions">الحالات الصحية</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="notes" id="notes" checked>
                            <label class="form-check-label" for="notes">ملاحظات</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="attachments" id="attachments" checked>
                            <label class="form-check-label" for="attachments">نوع المهارة المستعد التدريب عليها</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="The_wise_man_heat" id="The_wise_man_heat" checked>
                            <label class="form-check-label" for="The_wise_man_heat">الاسم عاقل الحارة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="number_mobile_wise" id="number_mobile_wise" checked>
                            <label class="form-check-label" for="number_mobile_wise">رقم جوال عاقل الحارة</label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="user_name" id="user_name" checked>
                            <label class="form-check-label" for="user_name">منشىء او ناشىء هذا الأسرة</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" onclick="updateTable()">Apply</button>
                    <button type="button" class="btn btn-success" onclick="printSelectedFields()">Print</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Print Styles -->
    <style>
        @media print {
            body * {
                visibility: hidden;
            }
            #printTable, #printTable * {
                visibility: visible;
            }
            #printTable {
                position: absolute;
                left: 0;
                top: 0;
                width: 100%;
            }
            .btn, .pagination {
                display: none !important;
            }
        }
    </style>

    <script>
        function updateTable() {
            const form = document.getElementById('fieldSelectionForm');
            const checkboxes = form.querySelectorAll('input[type="checkbox"]');
            const table = document.getElementById('printTable');
            const thead = table.querySelector('thead');
            const tbody = table.querySelector('tbody');

            // Clear the table header
            thead.innerHTML = '<tr><th>#</th></tr>';

            // Add selected fields to the table header
            checkboxes.forEach(checkbox => {
                if (checkbox.checked) {
                    const th = document.createElement('th');
                    th.textContent = checkbox.nextElementSibling.textContent;
                    thead.querySelector('tr').appendChild(th);
                }
            });

            // Update the table body
            tbody.querySelectorAll('tr').forEach(row => {
                const cells = row.querySelectorAll('td');
                const newRow = document.createElement('tr');
                newRow.appendChild(cells[0].cloneNode(true)); // Keep the row number

                checkboxes.forEach((checkbox, index) => {
                    if (checkbox.checked) {
                        newRow.appendChild(cells[index + 1].cloneNode(true));
                    }
                });

                row.replaceWith(newRow);
            });

            // Close the modal
            $('#fieldSelectionModal').modal('hide');
        }

        function printSelectedFields() {
            const form = document.getElementById('fieldSelectionForm');
            const checkboxes = form.querySelectorAll('input[type="checkbox"]');
            const table = document.getElementById('printTable');
            const tbody = table.querySelector('tbody');

            // Create a new table for printing
            const printTable = document.createElement('table');
            printTable.style.width = '100%';
            printTable.style.borderCollapse = 'collapse';
            printTable.setAttribute('border', '1');

            // Create the table header
            const thead = document.createElement('thead');
            const headerRow = document.createElement('tr');
            headerRow.innerHTML = '<th>#</th>'; // Add the row number column

            checkboxes.forEach(checkbox => {
                if (checkbox.checked) {
                    const th = document.createElement('th');
                    th.textContent = checkbox.nextElementSibling.textContent;
                    headerRow.appendChild(th);
                }
            });

            thead.appendChild(headerRow);
            printTable.appendChild(thead);

            // Create the table body
            const printTbody = document.createElement('tbody');

            tbody.querySelectorAll('tr').forEach((row, rowIndex) => {
                const cells = row.querySelectorAll('td');
                const newRow = document.createElement('tr');
                newRow.innerHTML = `<td>${rowIndex + 1}</td>`; // Add the row number

                checkboxes.forEach((checkbox, index) => {
                    if (checkbox.checked) {
                        const newCell = document.createElement('td');
                        newCell.textContent = cells[index + 1].textContent;
                        newRow.appendChild(newCell);
                    }
                });

                printTbody.appendChild(newRow);
            });

            printTable.appendChild(printTbody);

            // Open a new window for printing
            const printWindow = window.open('', '', 'width=1600,height=600');
            printWindow.document.write(`
                <html>
                <head>
                    <title>طباعة التقارير</title>
                    <style>
                        body { font-family: Arial, sans-serif; direction: rtl; }
                        table { width: 100%; border-collapse: collapse; }
                        th, td { border: 1px solid black; padding: 8px; text-align: left; }
                    </style>
                </head>
                <body>
                    <h2 style="text-align: center;">قائمة بيانات النموذج</h2>
                    ${printTable.outerHTML}
                    <script>
                        window.onload = function() {
                            window.print();
                            window.close();
                        };
                    <\/script>
                </body>
                </html>
            `);

            printWindow.document.close();
        }
    </script>
</div>
@endsection