<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FormDataController;
use App\Http\Controllers\AuthController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Authentication Routes
Route::get('/register', [AuthController::class, 'showRegisterForm'])->name('auth.showRegisterForm');
Route::post('/register', [AuthController::class, 'register'])->name('auth.register');

Route::get('/login', [AuthController::class, 'showLoginForm'])->name('auth.showLoginForm');
Route::post('/login', [AuthController::class, 'login'])->name('auth.login');

Route::post('/logout', [AuthController::class, 'logout'])->name('auth.logout');

// GET Routes for Form Data

// Routes for FormDataController
// Route::resource('form_data', 'App\Http\Controllers\FormDataController');
// Route::get('form',[FormDataController::class,'index'])->name('form');

Route::middleware(['auth'])->group(function () {  
    Route::get('', [FormDataController::class, 'index'])->name('form_data.index');
    Route::get('form_data/dashboard', [FormDataController::class, 'dashboard'])->name('form_data.dashboard');
    Route::get('form_data/create', [FormDataController::class, 'create'])->name('form_data.create');
    Route::get('form_data/{formData}', [FormDataController::class, 'show'])->name('form_data.show');
    Route::get('form_data/{formData}/edit', [FormDataController::class, 'edit'])->name('form_data.edit');

    Route::post('form_data', [FormDataController::class, 'store'])->name('form_data.store');
    Route::put('form_data/{formData}', [FormDataController::class, 'update'])->name('form_data.update');
    Route::delete('form_data/{formData}', [FormDataController::class, 'destroy'])->name('form_data.destroy');

});
